﻿<%@ Reference Control="~/bitrix/components/bitrix/iblock.element.webform/component.ascx" %>
<%@ Control Language="C#" Inherits="NewFileTemplate" AutoEventWireup="True" CodeFile="template.ascx.cs" %>
<%@ Import Namespace="Bitrix.IBlock.Components" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="Bitrix" %>

<%
if (Component.IsPermissionDenied)
{
	return;
}
else if (Component.IsSavingElementSuccess)
{
	if (Component.Element == null)
	{
		%><span class="notetext"><%=Component.SuccessMessageAfterCreateElement%></span><%
		return;
	}
	else
	{
		%><span class="notetext"><%=Component.SuccessMessageAfterUpdateElement%></span><%	
	}
}
else if (!String.IsNullOrEmpty(Component.errorMessage))
{ 
	%><span class="errortext"><%=Component.errorMessage%></span><%
	return;
}


if (Component.SummaryErrors.Count > 0) {%>
	<div class="errortext">
		<ul>
		<% foreach (string error in Component.SummaryErrors)  { %>
			<li><%= error %></li>
		<% } %>
		</ul>
	</div><%
}
%>
<table width="100%" cellpadding="2" cellspacing="4" border="0" class="iblock-element-webform">
<%	
foreach (string fieldID in Component.EditFields)
{
	if (!Component.ElementFields.ContainsKey(fieldID))
		continue;

	var field = Component.ElementFields[fieldID];

	if (String.Equals(fieldID.ToUpper(), "SECTIONS", StringComparison.Ordinal)){%>
		<tr>
		<td colspan=2><%= field.Render()%></td>
		</tr>
	<%} else { %>
			<tr>
		<td align="right" width="30%" valign="top">
		<% if (field.Required)
		{
			%><span style="color:red;">*</span><%
		}
		%>
		<%= field.Title%>:
		</td>
					
		<td valign="top">
		<%
		if (field.ValidateErrors != null)
		{
			%><table cellpadding="0" cellspacing="0"><tr><td valign="top"><div class="iblock-element-webform-error"><%= field.Render()%></div></td><td valign="top">&nbsp;<span style="color:red; vertical-align:middle;">*</span></td></tr></table><%
		}
		else
		{
			%><%= field.Render()%><%
		}	
		%>
		</td>
<%
        
	}
}  	     		
%>
</table>

<div class="content-form file-form">
	<div class="button">
<%
if (Component.Element == null) 
{
	%><asp:Button runat="server" ID="SaveButton" Text="<%$ Parameters:CreateButtonTitle %>" OnClick="SaveWebForm" CssClass="input-submit" /><%
}
else
{
	%><asp:Button runat="server" ID="UpdateButton" Text="<%$ Parameters:UpdateButtonTitle %>" OnClick="SaveWebForm" CssClass="input-submit" /><%
}
%>
	</div>
</div>